% Program that maps an angle in radians into [-pi, pi).
% Roger Skjetne - 05.09.2003
% Revisions: 25.04.2020 - Added check of y==pi to avoid -pi maps to pi.
%
function y = rad2radpi(x);

r = rem(x+sign(x)*pi,2*pi)
r_mod = sign(x)*mod(x+sign(x)*pi,2*pi);
y = r - sign(x)*pi;

if y == pi
    y = -pi;
end