mass = 8.6;
Iz = 92502.96e-6;
mass_rigid_body = diag([mass, mass, Iz]);
added_mass = diag([5.0899, 19.3882, 0.1555]);
mass_total = added_mass + mass_rigid_body;
DL = diag([1.843, 3.1802, -0.0868]) ;

A = zeros(9);
A(1:3,4:6)= eye(3);
A(4:6,4:6) = -inv(mass_total)*DL;
A(4:6,7:9) = inv(mass_total);

H = zeros(4,9);
H(1:3,1:3) = eye(3);
H(4,6) = 1;
O = obsv(A,H);
rank(O)